net.minecraft.network.packet

## Class Packet52MultiBlockChange

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet52MultiBlockChange

-     public class Packet52MultiBlockChange
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `metadataArray` The metadata for each block changed.
    `int` | `size` The size of the arrays.
    `int` | `xPosition` Chunk X position.
    `int` | `zPosition` Chunk Z position.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet52MultiBlockChange()`
    `Packet52MultiBlockChange(int par1, int par2, short[] par3ArrayOfShort, int par4, World par5World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
    `void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### xPosition

          public int xPosition

      Chunk X position.

    - #### zPosition

          public int zPosition

      Chunk Z position.

    - #### metadataArray

          public byte[] metadataArray

      The metadata for each block changed.

    - #### size

          public int size

      The size of the arrays.

  - ### Constructor Detail

    - #### Packet52MultiBlockChange

          public Packet52MultiBlockChange()

    - #### Packet52MultiBlockChange

          public Packet52MultiBlockChange(int par1,
                                  int par2,
                                  short[] par3ArrayOfShort,
                                  int par4,
                                  World par5World)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInputStream par1DataInputStream)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutputStream par1DataOutputStream)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`